# Users ## Retrieve all users with optional filters and pagination - [GET /users](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_findusers.md) ## Create a new user or add existing user to new client accounts - [POST /users](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_createuser.md) ## Get a single user by ID - [GET /users/{userId}](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_finduser.md) ## Update a user - [PUT /users/{userId}](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_updateuser.md) ## Delete a user - [DELETE /users/{userId}](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_deleteuser.md) ## Update my own profile - [PUT /users/current](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_updatecurrentuser.md) ## Resend invitation email to a user - [POST /users/{userId}/resend-invitation](https://docs.heydonto.com/apis/heydonto/openapi/users/userscontroller_resendinvitation.md)